# Update user

Updates a specific user.

Endpoint: PUT /api/v1/organizations/{organizationId}/users/{userId}
Version: v1
Security: Bearer, PersonalAccessToken

## Security:

  - `Bearer` (unknown)
    http bearer JWT

  - `PersonalAccessToken` (unknown)
    apiKey in header Personal-Access-Token

## Path parameters:

  - `organizationId` (string, required)
    Unique identifier of the organization

  - `userId` (string, required)
    Unique identifier of the user

## Request fields (application/json):

  - `givenName` (string, required)
    The user's first name.
    Example: Mario

  - `surname` (string, required)
    The user's last name.
    Example: Rossi

  - `regionalSettings` (object, required)
    Regional settings for a new user.

  - `regionalSettings.timeZone` (string, required)
    The IANA time zone identifier.
    Example: Europe/Berlin

  - `regionalSettings.dateTimeFormat` (string, required)
    Available date and time format patterns for regional settings.
    Enum: "dd/MM/yyyy | HH:mm", "dd/MM/yy | HH:mm", "dd-MMM-yy | HH:mm", "dd-MMM-yyyy | HH:mm", "dd MMMM yyyy | HH:mm", "yyyy-MM-dd | HH:mm", "yyyy-MMM-dd | HH:mm", "yyyy MMMM dd | HH:mm", "MMM d, yyyy | HH:mm", "MMM-dd-yyyy | HH:mm", "MMMM d, yyyy | HH:mm", "MM/d/yyyy | HH:mm", "dd.MM.yyyy | HH:mm", "dd. MMMM yyyy | HH:mm", "dd.MM.yy | HH:mm"

  - `regionalSettings.language` (string, required)
    BCP 47 language code.
    Example: en

  - `regionalSettings.country` (string, required)
    The ISO 3166-1 alpha-2 country code.
    Example: IT

  - `phoneNumber` (string)
    The user's optional phone number. Pass null to remove the phone number.
    Example: +39021234567

## Response 204:

  - `204` (unknown)
    No Content

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

